[
{
    blockid=sys;
    help=service_http_sys_sys;
    custom="com.netscape.management.msgserv.ServiceIMAPServiceControl";
    localvar={
	/* translate this block */
	.header.text="\u7cfb\u7d71\u914d\u7f6e";
	.enabled.text="\u555f\u7528\u9023\u63a5\u57e0\u7684 HTTP \u670d\u52d9";
	.port.text="\u9023\u63a5\u57e0\uff1a";
	.enabledssl.text="\u900f\u904e SSL \u4f7f\u7528 HTTP \u7368\u7acb\u7684\u9023\u63a5\u57e0";
	.anonymous.text="\u5141\u8a31\u533f\u540d\u767b\u5165";
	.plaintext.text="\u5141\u8a31\u5bc6\u78bc\u767b\u5165";
	.mincipher.text="\u5bc6\u78bc\u52a0\u5bc6\u7684\u6700\u5c0f\u52a0\u5bc6\u9577\u5ea6";
	.session.text="\u6bcf\u500b\u7a0b\u5e8f\u7684\u6700\u5927\u7db2\u8def\u9023\u7dda\uff1a";
	.thread.text="\u6bcf\u500b\u7a0b\u5e8f\u7684\u6700\u5927\u57f7\u884c\u7dd2\u6578\u76ee\uff1a";
	.slave.text="\u7a0b\u5e8f\u7684\u6578\u76ee\uff1a";
	.drop.text="\u4e2d\u65b7\u7528\u6236\u7aef\u9023\u7dda\u524d\u7684\u9592\u7f6e\u6642\u9593\uff1a";
	.idle.labels=["Minute(s)","\u5c0f\u6642"];
	.altmsg.border=[titled,"\u90f5\u4ef6\u8a2d\u5b9a"];
	.altmta.border=[titled,"MTA \u8a2d\u5b9a"];
	.smtphost.text="\u6b21\u8981 MTA \u4e3b\u6a5f\u540d\u7a31\uff1a";
	.smtpport.text="\u6b21\u8981 MTA \u9023\u63a5\u57e0\uff1a";
	.connection.border=[titled,"\u9023\u7dda\u8a2d\u5b9a"];
	.process.border=[titled,"\u7a0b\u5e8f\u8a2d\u5b9a"];
	.dropsession.text="\u767b\u51fa\u7528\u6236\u7aef\u524d\u7684\u9592\u7f6e\u6642\u9593\uff1a";
	.spooldir.text="\u9644\u52a0\u6a94\u6848\u66ab\u5b58\u5340\u76ee\u9304\uff1a";
	.maxmessagesize.text="\u5916\u9001\u90f5\u4ef6\u6700\u5927\u5927\u5c0f\uff1a";
	.size.labels=["Kbyte(s)","MB"];
    };
    content=[
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=rigid;
		},
		{
		    ctrl=togglepane;
		    id=portlabel;
		    text=$.enabled.text;
		    val=$enable.value;
		    inline=true;
		    content=[
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    val=$port.value;
			    label=portlabel;
			    max=65535;
			},
			{
			    ctrl=hglue;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=rigid;
		},
		{
		    ctrl=togglepane;
		    id=sslportlabel;
		    text=$.enabledssl.text;
		    val=$enablesslport.value;
		    inline=true;
		    content=[
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    val=$sslport.value;
			    label=sslportlabel;
			    max=65535;
			},
			{
			    ctrl=hglue;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=rigid;
		},
		{
		    ctrl=togglepane;
		    text=$.anonymous.text;
		    val=$allowanonymouslogin.value;
		    inline=true;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=togglepane;
	    text=$.plaintext.text;
	    id=plaintexttoggle;
	    content=[
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=mincipherlabel;
			    text=$.mincipher.text;
			    wrap=$g.label.size2;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=choice;
			    id=mincipher;
			    label=mincipherlabel;
			    items=[0,40,56,128];
			    val=$plaintextmincipher.value;
			},
			{
			    ctrl=hglue;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    layout=[ybox];
	    border=$.connection.border;
	    content=[
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=sessionlabel;
			    text=$.session.text;
			    wrap=$g.label.size2;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    val=$maxsessions.value;
			    aligny=0.5;
			    label=sessionlabel;
			},
			{
			    ctrl=hglue;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=droplabel;
			    text=$.drop.text;
			    wrap=$g.label.size2;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    val=$idletimeout.value;
			    aligny=0.5;
			    label=droplabel;
			    unit=min;
			    items=[min,hr];
			    labels=$.idle.labels;
			    min=1;
			    errhint=$.drop.text;
			},
			{
			    ctrl=hglue;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=dropsessionlabel;
			    text=$.dropsession.text;
			    wrap=$g.label.size2;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    val=$sessiontimeout.value;
			    aligny=0.5;
			    label=dropsessionlabel;
			    unit=sec;
			    items=[min,hr];
			    labels=$.idle.labels;
			    min=1800;
			    errhint=$.dropsession.text;
			},
			{
			    ctrl=hglue;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    layout=[ybox];
	    border=$.process.border;
	    content=[
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=threadlabel;
			    text=$.thread.text;
			    wrap=$g.label.size2;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    val=$maxthreads.value;
			    aligny=0.5;
			    label=threadlabel;
			},
			{
			    ctrl=hglue;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=slavelabel;
			    text=$.slave.text;
			    wrap=$g.label.size2;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    val=$numprocesses.value;
			    aligny=0.5;
			    label=slavelabel;
			},
			{
			    ctrl=hglue;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    layout=[ybox];
	    border=$.altmsg.border;
	    content=[
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    text=$.spooldir.text;
			    wrap=$g.label.size2;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=text;
			    val=$spooldir.value;
			    aligny=0.5;
			    maxwidth=-1;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    text=$.maxmessagesize.text;
			    wrap=$g.label.size2;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    val=$maxmessagesize.value;
			    aligny=0.5;
			    unit=byte;
			    items=[kb,mb];
			    labels=$.size.labels;
			},
			{
			    ctrl=hglue;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=pane;
	    layout=[ybox];
	    border=$.altmta.border;
	    content=[
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    text=$.smtphost.text;
			    wrap=$g.label.size2;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=text;
			    val=$smtphost.value;
			    aligny=0.5;
			    maxwidth=-1;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    text=$.smtpport.text;
			    wrap=$g.label.size2;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    val=$smtpport.value;
			    max=65535;
			    aligny=0.5;
			},
			{
			    ctrl=hglue;
			}
		    ]
		}
	    ]
	}
    ]
}
]

